#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1994 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../common/guess\;1 `
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir xfishtank
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib
/bin/rm -f $BUILDDIR/zcat
/bin/ln -s $SOURCEDIR/../$machine/bin/zcat\;1 $BUILDDIR/zcat


cd $BUILDDIR/xfishtank
cat $SOURCEDIR/xfishtan/xfishtan.gz\;1 | $BUILDDIR/zcat -d -c | tar xvof -
cd xfishtank

(sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/xfishtan/rtr/xfishtan\;1 | patch -p -s )
test -f  $SOURCEDIR/xfishtan/$machine/xfishtan\;1 &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/xfishtan/$machine/xfishtan\;1 | patch -b .rtr -p -s )

xmkmf
make
cd fishtogif; xmkmf; make
cd $SOURCEDIR/xfishtan/giftofish\;1; xmkmf; make 
cd $SOURCEDIR/xfishtan/gofish\;1; xmkmf; make
cd $SOURCEDIR/xfishtan/pcfshtofish\;1; xmkmf; make
cd $SOURCEDIR/xfishtan/rasttofish\;1; xmkmf; make
cd ..

if test "$RM" != "" ; then make install ; fi
cd fishtogif;if test "$RM" != "" ; then  make install ; fi
cd $SOURCEDIR/xfishtan/giftofish\;1;if test "$RM" != "" ; then  make install ; fi
cd $SOURCEDIR/xfishtan/gofish\;1;if test "$RM" != "" ; then  make install ; fi
cd $SOURCEDIR/xfishtan/pcfshtofish\;1;if test "$RM" != "" ; then  make install ; fi
cd $SOURCEDIR/xfishtan/rasttofish\;1;if test "$RM" != "" ; then  make install ; cd .. ; fi

cd $BUILDDIR/xfishtank 


cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/xfishtank ; fi
